#ifdef _WIN32
typedef	struct node {
  char         *key;
  struct node  *llink, *rlink;
} node_t;


enum {
  preorder,
  postorder,
  endorder,
  leaf
} VISIT;

typedef void (*__compar_fn_t)(const void *, enum VISIT, int);

void * tfind(vkey, vrootp, compar);
void * tsearch(const void *vkey, void **vrootp,
    int (*compar)(const void *, const void *));

#endif
