#include <stdio.h>

extern int __dbl_verbose;
extern int __dbl_debug;

#ifndef _WIN32
#define DBL_DBG(...)                                                    \
  do {                                                                  \
    if (__dbl_debug) {                                                  \
      char tmp[128];                                                    \
      snprintf(tmp, 128, __VA_ARGS__);                                  \
      fprintf(stderr, "DBL (%s): %s\n", __FUNCTION__, tmp);             \
    }                                                                   \
  } while (0)
#else
#define DBL_DBG(...)                                                    \
  do {                                                                  \
    if (__dbl_debug) {                                                  \
      char tmp[128];                                                    \
      _snprintf(tmp, 128, __VA_ARGS__);                                 \
      fprintf(stderr, "DBL (%s): %s\n", __FUNCTION__, tmp);             \
    }                                                                   \
  } while (0)
#endif
