#ifndef _mal_filt_h_
#define _mal_filt_h_

typedef struct mal_hash_entry *mal_hash_entry_t;
typedef struct mal_hash *mal_hash_t;

int mal_hash_init(mal_hash_t *hash, const int cnt);
void mal_add_filter(mal_hash_t hash, const uint32_t data, const uint32_t key_high,
                             const uint32_t key_low);
void mal_del_filter(mal_hash_t hash, const uint32_t tag, const uint32_t key_high, 
                             const uint32_t key_low);
int mal_get_filter_tag(mal_hash_t hash, uint8_t *pkt);

/* for debug */
void mal_hash_stats(mal_hash_t hash, int verbose);
uint32_t mal_hash_tag_lookup(mal_hash_t hash, const uint32_t key_high, const uint32_t key_low);

#endif
