/*************************************************************************
 * The contents of this file are subject to the MYRICOM ABSTRACTION      *
 * LAYER (MAL) SOFTWARE AND DOCUMENTATION LICENSE (the "License").       *
 * User may not use this file except in compliance with the License.     *
 * The full text of the License can found in LICENSE.TXT                 *
 *                                                                       *
 * Software distributed under the License is distributed on an "AS IS"   *
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.  See  *
 * the License for the specific language governing rights and            *
 * limitations under the License.                                        *
 *                                                                       *
 * Copyright 2003 - 2014 by Myricom, Inc.  All rights reserved.          *
 * Copyright 2014 - 2016 by CSP, Inc.  All rights reserved.              *
 *************************************************************************/

#ifndef _mal_trace_h_
#define _mal_trace_h_

#ifdef WIN32
/* dummy functions for tracepoints */
#define tracepoint(...) {}
#endif

#if MYRI_SNF_TRACE
#include "snf_tracepoints.h"
#elif MYRI_DBL_TRACE
#include "dbl_tracepoints.h"
#else
/* dummy functions for tracepoints */
#define tracepoint(...) {}
#endif

#endif /* _mal_trace_h_ */
